Android – Failed to apply plugin Android Gradle plugin 3.0.0-alpha5 must not be applied to project

android, android-gradle-plugin

Using the latest Android Studio 3.0 Canary 5

Here's the error:

Error:(1, 1) A problem occurred evaluating project ':app'.

Failed to apply plugin [class 'com.android.build.gradle.api.AndroidBasePlugin']
Android Gradle plugin 3.0.0-alpha5 must not be applied to project [path_to_my_project] since version 3.0.0-alpha5 was already applied to this project

Tried: cleaning, rebuilding, opening/closing. Not working.

any ideas ?

[LATER EDIT]
Solution: Migrate to Canary 8+ and all should be ok.

Best Solution

From this reddit thread, killing daemons fixed the problem for me.

./gradlew --stop